Question

I'm on PHP 5.3. The SDK is for 5.4+. How do I dump files in spaces/bucket given this problem?

My server is on PHP 5.3. The SDK uses 5.4+ (version 2). I looked at version 1(5.3+) but can’t make sense of it.

I’ve tried using Amazon’s SDK but they also require 5.4+. I even had it figured out on my local.

MY QUESTION: How do I dump files in the bucket using PHP 5.3 on the server? Can anyone please guide? I’ve been looking through docs and searching but can’t find an answer on this.

Thanks


Submit an answer

This textbox defaults to using Markdown to format your answer.

You can type !ref in this text area to quickly search our full set of tutorials, documentation & marketplace offerings and insert the link!

Sign In or Sign Up to Answer

These answers are provided by our Community. If you find them useful, show some love by clicking the heart. If you run into issues leave a comment, or add your own answer to help others.

Want to learn more? Join the DigitalOcean Community!

Join our DigitalOcean community of over a million developers for free! Get help and share knowledge in Q&A, subscribe to topics of interest, and get courses and tools that will help you grow as a developer and scale your project or business.

Also, version 1 SDK has a dependency on a package which requires PHP 5.3.9. I have 5.3.29 on the server. I don’t think version of 1 of their SDK is going to help me.